ruby-cairo (1.16.6-3build1) lunar; urgency=medium

  * No-change upload to add support for ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 23 Jan 2023 13:59:57 -0300

ruby-cairo (1.16.6-3) unstable; urgency=medium

  * Team upload.
  * Update team email to @lists.alioth.debian.org.
  * I do not commit this to git, as the git repository is used to track
    work on 1.17.x.

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 27 Jul 2022 21:30:51 +0200

ruby-cairo (1.16.6-2) unstable; urgency=medium

  * Team upload.

  [ Cédric Boutillier ]
  * [ci skip] Update team name
  * [ci skip] Add .gitattributes to keep unwanted files out of the source
    package

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ HIGUCHI Daisuke (VDR dai) ]
  * I finally lost my motivation then stepped down ruby-cairo's uploader.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 26 Jun 2022 17:47:07 +0900

ruby-cairo (1.16.6-1) unstable; urgency=medium

  * New upstream version 1.16.6
  * eliminate lintian warning:  mailing-list-obsolete-in-debian-infrastructure

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 10 Aug 2020 22:22:18 +0900

ruby-cairo (1.16.5-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 1.16.5
  * d/control: set Rules-Requires-Root: as no.
  * Update Standards-Version to 4.5.0

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 05 Feb 2020 22:26:43 +0900

ruby-cairo (1.16.4-3) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * d/{control,rules}: temporary disable build time test
    to avoid circular build dependency with ruby-gnome2.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 08 Aug 2019 18:59:09 +0900

ruby-cairo (1.16.4-2) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * Bump debhelper compatibility level to 12
  * Update Standards-Version to 4.4.0

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 03 Aug 2019 12:06:26 +0900

ruby-cairo (1.16.4-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 1.16.4
  * d/p/do-not-use-native-package-installer.patch:
    do not check Homebrew due to using native-package-installer
  * bump up Standards-Version 4.3.0

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 13 Mar 2019 19:00:08 +0900

ruby-cairo (1.16.2-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 1.16.2
  * refresh patches.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 04 Nov 2018 16:58:05 +0900

ruby-cairo (1.16.0-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 1.16.0
  * d/watch: scan github instead of gemwatch due to lack of test materials.
  * d/p/Import-testfixture: removed, do not import test fixture.
  * refresh patches.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 30 Oct 2018 18:19:32 +0900

ruby-cairo (1.15.14-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream version 1.15.14
  - remove test-unit-notify from B-D:
  - d/ruby-tests.rake: rename from cairo-test-utils to helper
  - refresh patches.
  * bump up Standards-Version 4.2.1

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 31 Aug 2018 18:41:32 +0900

ruby-cairo (1.15.13-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New Upstream version.
  - refresh patches.
  * bump up Standards-Version 4.1.4

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 05 May 2018 12:05:58 +0900

ruby-cairo (1.15.12-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New Upstream version.
  - d/{tests/,}control: add ruby-poppler to B-D:
  - refresh patches.
  * mark Multi-Arch: as same.
  * Move Vcs-* to salsa.debian.org
  * upgrade debhelper to 11
  * bump up Standards-Version 4.1.3

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 19 Mar 2018 11:55:22 +0900

ruby-cairo (1.15.11-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New Upstream version.
  * d/changelog: add missing 'Add myself to Uploaders.'
  * eliminate lintian warning: unnecessary-team-upload
  * d/p/test-update-expected-value-for-cairo-1.15.patch
    d/p/test-update-outline-usage-for-cairo-1.15.patch:
    removed, imported upstream.
  * Bump Standards-Version to 4.1.2 (no changes needed)

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 17 Dec 2017 20:35:53 +0900

ruby-cairo (1.15.10-2) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * test: update expected value for cairo 1.15 (Closes: #879983)
  - d/p/test-update-expected-value-for-cairo-1.15.patch: new patch.
  * test: fix outline usage.
  - d/p/test-update-outline-usage-for-cairo-1.15.patch: new patch.
  * update d/tests for applying patches.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 29 Oct 2017 18:40:01 +0900

ruby-cairo (1.15.10-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Remove myself from Uploaders:

  [ HIGUCHI Daisuke (VDR dai) ]
  * New Upstream version.
  * Refresh patches.
  * Import test/fixture/*
  * d/watch: eliminate lintian warning: debian-watch-uses-insecure-uri
  * d/control: eliminate lintian warning:
    unnecessary-testsuite-autopkgtest-header
  * Bump Standards-Version to 4.1.1 (no changes needed)

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 20 Oct 2017 11:56:42 +0900

ruby-cairo (1.15.9-3) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * Bump debhelper compatibility level to 10.
  * Add myself to Uploaders.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 08 Aug 2017 12:01:38 +0900

ruby-cairo (1.15.9-2) unstable; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * support autopkgtest
    - d/tests/control: new file.
    - d/p/do-not-use-packnga.patch: new file.
    - d/p/do-not-use-native-package-installer.patch: remove dep from gemspec.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 19 Jul 2017 22:02:16 +0900

ruby-cairo (1.15.9-1) unstable; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * New Upstream version
  * d/p/do-not-use-native-package-installer.patch: new file.
  * debian/control: declare autopkgtest-pkg-ruby as Testsuite.
  * Bump Standards-Version to 4.0.0 (no changes needed)

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 09 Jul 2017 21:33:29 +0900

ruby-cairo (1.15.2-1) unstable; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * New Upstream version
  * use upstream's gemspec instead of d/cairo-debian.gemspec
  * Build-Depends on ruby-test-unit-notify
  * Bump Standards-Version to 3.9.8 (no changes needed)

  [ Cédric Boutillier ]
  * Bump debhelper compatibility level to 9
  * Remove version in the gem2deb build-dependency
  * Use https:// in Vcs-* fields
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Run wrap-and-sort on packaging files

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 28 Oct 2016 09:30:09 +0900

ruby-cairo (1.12.9-1) unstable; urgency=medium

  * Imported Upstream version 1.12.9
  * update upstream copyright information

 -- Cédric Boutillier <boutil@debian.org>  Tue, 10 Jun 2014 00:20:47 +0200

ruby-cairo (1.12.8-1) unstable; urgency=medium

  * Team upload.
  * New Upstream version
  * Bump Standards-Version to 3.9.5 (no changes)
  * Update Build-Depends for ruby2.0 support, drop ruby1.8 support

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 23 Dec 2013 20:24:15 +0100

ruby-cairo (1.12.6-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    + remove obsolete DM-Upload-Allowed flag
    + use canonical URI in Vcs-* fields
    + update my email address
    + bump Standards-Version to 3.9.4 (no changes needed)
    + drop transitional libcairo-ruby* packages
  * drop lintian overrides, about transitional packages
  * deactivate clean_run_test_rb.patch, not needed
  * update my email address also in debian/copyright
  * debian/rules: install upstream changelog

 -- Cédric Boutillier <boutil@debian.org>  Wed, 05 Jun 2013 16:39:38 +0200

ruby-cairo (1.12.2-2) unstable; urgency=low

  * Bump build dependency on gem2deb to >= 0.3.0~

 -- Cédric Boutillier <cedric.boutillier@gmail.com>  Tue, 26 Jun 2012 07:47:38 +0200

ruby-cairo (1.12.2-1) unstable; urgency=low

  * New upstream version
  * Refresh debian/patches/clean_run_test_rb.patch and add DEP-3 header
  * Add back test/test_xml_device.rb in the list of tests, that was removed
    in 1.12.1-1

 -- Cédric Boutillier <cedric.boutillier@gmail.com>  Mon, 04 Jun 2012 14:46:45 +0200

ruby-cairo (1.12.1-1) unstable; urgency=low

  * New upstream version, supporting version 1.12 of cairo library
    (Closes: #666582)
  * Add myself to Uploaders
  * Bump Standards-Versions to 3.9.3 (no changes needed)
  * Move single-debian-patch setting to usual quilt queue
  * Convert copyright file to DEP-5
  * Build-Depends on ruby-test-unit and remove debian/test-unit-stub.rb
  * Put Priority of transitional packages to extra

 -- Cédric Boutillier <cedric.boutillier@gmail.com>  Tue, 08 May 2012 09:43:43 +0200

ruby-cairo (1.10.0-3) unstable; urgency=low

  * Reverted patch to fix name clash between cairo.rb and cairo.so. See
    discussion with upstream at https://github.com/rcairo/rcairo/issues/5
    This is now correctly handled by gem2deb >= 0.2.7, so we require at least
    that version to build.
  * debian/ruby-tests.rake: removed explicit library paths to expose the
    problem in #632071 with the help of gem2deb's enhanced test runner.

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Sat, 02 Jul 2011 01:08:38 -0700

ruby-cairo (1.10.0-2) unstable; urgency=low

  * debian/source/lintian-overrides: added to avoid warning about descriptions
    being too short.
  * Fix name clash between cairo.rb and cairo.so (Closes: #632071)
  * added debian/ruby-cairo.examples to install examples

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Wed, 29 Jun 2011 12:35:38 -0700

ruby-cairo (1.10.0-1) unstable; urgency=low

  * New upstream release.
  * Package is being renamed to ruby-cairo and migrated to use gem2deb.

 -- Antonio Terceiro <terceiro@softwarelivre.org>  Sun, 19 Jun 2011 15:10:37 -0700

libcairo-ruby (1.8.1-1) unstable; urgency=low

  * New upstream release.
  * Drop package for Ruby 1.9.1 since the test suite doesn't pass. Closes: #565830.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 13 Feb 2010 10:15:01 +0100

libcairo-ruby (1.8.0-1) unstable; urgency=low

  [ Gunnar Wolf ]
  * Changed section to Ruby as per ftp-masters' request

  [ Paul van Tilburg ]
  * New upstream release.
  * debian/patches:
    - Dropped patch 01_fix-st.h-ruby1.9-paths: fixed by upstream.
  * debian/control:
    - Bumped standards version to 3.8.1; no changes required.
    - Added ${misc:Depends} to the depends of libcairo-ruby (binary).

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 05 May 2009 12:14:31 +0200

libcairo-ruby (1.6.3-1) unstable; urgency=low

  [ Paul van Tilburg ]
  * New upstream release.
  * Dropped patch 01_fix-ftools-extconf: fixed upsteam.
  * Added patch 01_fix-st.h-ruby1.9-paths.
  * Bumped build-dependancy on libcairo2 to >= 1.6.0.
  * Fixed the too long line in debian/copyright.
  * Bumped standards version to 3.8.0; no changes required.

  [ Lucas Nussbaum ]
  * Build-depend on r-p-t >= 0.14, to fix the ruby1.9
    libs install problem.

 -- Paul van Tilburg <paulvt@debian.org>  Sun, 10 Aug 2008 15:24:03 +0200

libcairo-ruby (1.5.1-1) unstable; urgency=low

  [ Arnaud Cornet ]
  * Use new Homepage dpkg header.

  [ Paul van Tilburg ]
  * New upstream release.
  * debian/patches:
    - Dropped patches 002-missing-decl-and-string-len-struct.patch,
      001-extconf-ruby1.9.patch: incorporated upstream.
    - Added the FTBFS fix by Marc 'HE' Brockschmidt as
      01_fix-ftools-extconf.diff.
  * Bumped standards version to 3.7.3; no changes required.
  * Added Vcs-* headers to debian/control.

 -- Paul van Tilburg <paulvt@debian.org>  Mon, 31 Mar 2008 22:45:22 +0200

libcairo-ruby (1.5.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with ruby1.9, which doesn't have ftools anymore. Make both
    1.8 and 1.9 builds use fileutils.rb instead. (Closes: #458679)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 08 Mar 2008 19:52:34 +0100

libcairo-ruby (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * Bumped libcairo2-dev requirement to >= 1.2.0.
  * Enabled CDBS simple patch sys in debian/rules.
  * Added patch 001-extconf-ruby1.9.patch to fix the API incompatbility
    with ruby1.9.
  * Added patch 002-missing-decl-and-string-len-struct.patch to add a
    missing variable declaration and fix struct member errors
    (courtesy of Michael Ablassmeier).

 -- Paul van Tilburg <paulvt@debian.org>  Wed, 13 Jun 2007 14:26:29 +0100

libcairo-ruby (1.4.1-1) unstable; urgency=low

  * New upstream release:
    - Modified debian/rules to switch to extconf installation
  * Adapted debian/control, debian/rules, and removed debian/control.in
    to drop the Uploaders rule.
  * Changed priority to optional, no idea why it was extras.
  * Added debian/libcairo-ruby.examples to install the examples using this
    file, not directly from debian/rules.
  * New maintainer: me! I'm taking over from Thierry Reding.

 -- Paul van Tilburg <paulvt@debian.org>  Wed, 18 Apr 2007 21:56:48 +0200

libcairo-ruby (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Fixed the URL in the description (courtesy of Tomas Pospisek,
    closes: #361857).
  * Bumped standards version to 3.7.2; no changes required.

 -- Paul van Tilburg <paulvt@debian.org>  Mon,  3 Jul 2006 12:10:17 +0200

libcairo-ruby (1.0.0-3) unstable; urgency=low

  [ Thierry Reding ]
  * libcairo-ruby1.8 now replaces libcairo-ruby (<= 1.0.0-1) to make it
    installable again. Thanks to David Weinehall and Adam Majer for pointing
    this out. (Closes: #361192)

 -- Paul van Tilburg <paulvt@debian.org>  Mon, 10 Apr 2006 21:07:27 +0200

libcairo-ruby (1.0.0-2) unstable; urgency=low

  [ Thierry Reding ]
  * Now uses CDBS for packaging.
  * Provides packages linked against Ruby 1.8 and Ruby 1.9.
  * Set myself as maintainer, the Debian Ruby/Extras Team as uploaders.
  * Added versioned build-dependency on ruby-pkg-tools (>= 0.8) in order for
    the @RUBY_EXTRAS_TEAM@ marker to be recognized.

 -- Thierry Reding <thierry@doppeltgemoppelt.de>  Wed, 22 Mar 2006 13:39:17 +0100

libcairo-ruby (1.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #342466)
  * Uses "The Uploaders Rule" to automatically fill in the Uploaders: field in
    the `debian/control' file so that all pkg-ruby-extras team members will be
    listed.
  * Added a note about the `setup.rb' script's license (LGPL) to the
    `debian/copyright' file.

 -- Thierry Reding <thierry@doppeltgemoppelt.de>  Wed,  4 Jan 2006 23:13:45 +0100
